org.richfaces.event

## Class DataFilterSliderAdapter

- java.lang.Object
- - org.richfaces.event.DataFilterSliderAdapter

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.DataFilterSliderListener

      public class DataFilterSliderAdapter
      extends java.lang.Object
      implements org.richfaces.event.DataFilterSliderListener, javax.faces.component.StateHolder

  Author:
    Wesley Hales

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Class[]` | `SIGNATURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFilterSliderAdapter()` empty constructor needed.
    `DataFilterSliderAdapter(javax.faces.el.MethodBinding mySliderMethod)` Creates a new DataFilterSliderAdapter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTransient()` Returns true if this DataFilterSliderAdapter is transient and should not be state saved, otherwise false.
    `void` | `processSlider(org.richfaces.event.DataFilterSliderEvent event)` Processes a SliderEvent.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object object)` Restores the internal state of this DataFilterSliderAdapter.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Saves the internal state of this DataFilterSliderAdapter.
    `void` | `setTransient(boolean isTransient)` Indicates whether or not this DataFilterSliderAdapter is transient and should not be state saved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIGNATURE

          public static java.lang.Class[] SIGNATURE

  - ### Constructor Detail

    - #### DataFilterSliderAdapter

          public DataFilterSliderAdapter()

      empty constructor needed.

    - #### DataFilterSliderAdapter

          public DataFilterSliderAdapter(javax.faces.el.MethodBinding mySliderMethod)

      Creates a new DataFilterSliderAdapter.
      Parameters:
        `mySliderMethod` - the MethodBinding to adapt

  - ### Method Detail

    - #### processSlider

          public void processSlider(org.richfaces.event.DataFilterSliderEvent event)

      Processes a SliderEvent.
      Specified by:
        `processSlider` in interface `org.richfaces.event.DataFilterSliderListener`
      Parameters:
        `event` - the slider event

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Saves the internal state of this DataFilterSliderAdapter.
      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Parameters:
        `context` - the Faces context
      Returns:
        the saved state

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object object)

      Restores the internal state of this DataFilterSliderAdapter.
      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Parameters:
        `context` - the Faces context
        `object` - the state to restore

    - #### isTransient

          public boolean isTransient()

      Returns true if this DataFilterSliderAdapter is transient and should not be state saved, otherwise false.
      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`
      Returns:
        the value of transient

    - #### setTransient

          public void setTransient(boolean isTransient)

      Indicates whether or not this DataFilterSliderAdapter is transient and should not be state saved.
      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`
      Parameters:
        `isTransient` - the new value for transient

Copyright © 2014. All Rights Reserved.